• Welcome to Simple Machines Community Forum. Please login or sign up.

Tapatalk

Started by GlennLever, February 07, 2013, 09:27:14 AM

Previous topic - Next topic

GlennLever

I have installed the Tapatalk Mod

Problems;
You then have to register with Tapatalk

They want you to upload an image for the forum app. The logo at the top of the forum did not fit, they want;
"Please upload your forum logo with minimum of 196x144 px. in PNG format that looks good on small screen
So I created the attached image", but it will not upload.

They also want a twitter Account which I do not have.

I was going to uninstall it until we got these issues address but received this error'
Error in Package Installation
At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.

These were the errors
8. Execute Modification ./Sources/Display.php Test failed
3. Replace ./Sources/Display.php Test failed

I did use the correct doanload for the install Simple Machines Forum SMF 2.0.4

So I did not uninstall it.

Suggestions

Looking

You can uninstall manually by editing the files were the mod was installed, for instance Display.php.

Storman™

February 07, 2013, 09:33:11 AM #2 Last Edit: February 07, 2013, 09:47:12 AM by Storman™
QuoteThey also want a twitter Account which I do not have.

You don't need a Twitter account to have an account with Tapatalk.

QuoteThis error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.

When the mod was installed it probably would have made changes to several files. Since then you've probably installed something which also amended the same file. Now that you want to uninstall there is a conflict.

You would need to check the specific file in question and amend the code manually.

GlennLever

Quote from: Storman™ on February 07, 2013, 09:33:11 AM
QuoteThey also want a twitter Account which I do not have.

You don't need a Twitter account to have an account with Tapatalk.

QuoteThis error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.

When the mod was installed it probably would have made changes to several files. Since then you've probably installed something which also amended the same file. Now that you want to uninstall there is a conflict.

You would need to check the specific file in question and amend the code manually.

No changes were made between the time the mod was installed and the attempt to uninstall.

There is no way I have the ability to amend code manually. For now I'll leave the mod installed

Shambles

I wasn't aware that the Tapatalk forum app modified Display.php in any way.

Hmmm.. time to check...



ETA: I was right - it doesn't. Did you pick up the latest version (3.4.0)?

Storman™

QuoteI wasn't aware that the Tapatalk forum app modified Display.php in any way.

You could be right, I assumed Looking was correct.  ;)

Actually it's only these:

Load.php
Post.php
PersonalMessage.php
Admin.english.php
ManageSettings.english.php

GlennLever

Ok, I do not have the ability to manually correct the code.

Can I reinstall SMF 2.0.4 an then put the two mods I have back in?

2. Global Headers Footers 2.0.1 
3. Simple Audio Video Embedder 2.0.7a 
4. SMF 2.0.4 Update 1.0

1. is Tapatalk SMF 2.0 RC5/Final Plugin 3.2.3

ApplianceJunk

Quote from: GlennLever on February 07, 2013, 09:27:14 AM
I have installed the Tapatalk Mod

Problems;
You then have to register with Tapatalk

Hi

How is having to register with Tapatalk a problem?
Maybe it's a hassle or inconvenience or are you having some kind of problem registering with tapatalk?

QuoteI did use the correct doanload for the install Simple Machines Forum SMF 2.0.4

Quote1. is Tapatalk SMF 2.0 RC5/Final Plugin 3.2.3

The latest tapatalk for SMF is 3.4.0

http://www.tapatalk.com/activate_tapatalk.php?plugin=smf

http://support.tapatalk.com

QuoteCan I reinstall SMF 2.0.4 an then put the two mods I have back in?

As the forum owner I don't see why not, but it seems to be taking things to extreme for what you are trying to accomplish.


Storman™

Hang on, when you try to uninstall Tapatalk is it Load.php that fails ?

If so, post it here and I'll amend it for you so that the uninstall works.

Alternatively, uninstall Global Headers Footers 2.0.1, then uninstall Tapatalk, and then reinstall Global Headers Footers 2.0.1 again.

GlennLever

February 07, 2013, 11:11:05 AM #9 Last Edit: February 07, 2013, 11:17:25 AM by Kindred
Quote from: Storman™ on February 07, 2013, 11:06:19 AM
Hang on, when you try to uninstall Tapatalk is it Load.php that fails ?

If so, post it here and I'll amend it for you so that the uninstall works.

Alternatively, uninstall Global Headers Footers 2.0.1, then uninstall Tapatalk, and then reinstall Global Headers Footers 2.0.1 again.

this is what I get

Uninstall ModPlease remember to always make regular backups of your sources and database before installing mods, especially beta versions.

Error in Package Installation
At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.

Uninstall Actions "Tapatalk SMF 2.0 RC5/Final Plugin" Installing this package will perform the following actions:   Type Action Description
1. Delete Tree mobiquo 
2. Delete File ./Sources/ManageTapatalk.php 
3. Delete File ./Sources/Subs-Tapatalk.php 
4. Delete File ./Themes/default/images/admin/tapatalk_settings.png 
5. Delete File ./Themes/default/Tapatalk.template.php 
6. Execute Modification ./Themes/default/languages/Admin.english.php Test successful
  1. Replace ./Themes/default/languages/Admin.english.php Test successful

7. Execute Modification ./Themes/default/languages/ManageSettings.english.php Test successful
  1. Replace ./Themes/default/languages/ManageSettings.english.php Test successful

8. Execute Modification ./Sources/Display.php Test failed
  1. Replace ./Sources/Display.php Test successful
  2. Replace ./Sources/Display.php Test successful
  3. Replace ./Sources/Display.php Test failed
  4. Replace ./Sources/Display.php Test successful
  5. Replace ./Sources/Display.php Test successful
  6. Replace ./Sources/Display.php Test successful
  7. Replace ./Sources/Display.php Test successful
  8. Replace ./Sources/Display.php Test successful

9. Execute Modification ./Sources/Load.php Test successful
  1. Replace ./Sources/Load.php Test successful
  2. Replace ./Sources/Load.php Test successful
  3. Replace ./Sources/Load.php Test successful
  4. Replace ./Sources/Load.php Test successful
  5. Replace ./Sources/Load.php Test successful

10. Execute Modification ./Sources/LogInOut.php Test successful
  1. Replace ./Sources/LogInOut.php Test successful
  2. Replace ./Sources/LogInOut.php Test successful
  3. Replace ./Sources/LogInOut.php Test successful
  4. Replace ./Sources/LogInOut.php Test successful

11. Execute Modification ./Sources/MessageIndex.php Test successful
  1. Replace ./Sources/MessageIndex.php Test successful
  2. Replace ./Sources/MessageIndex.php Test successful

12. Execute Modification ./Sources/Notify.php Test successful
  1. Replace ./Sources/Notify.php Test successful
  2. Replace ./Sources/Notify.php Test successful
  3. Replace ./Sources/Notify.php Test successful
  4. Replace ./Sources/Notify.php Test successful

13. Execute Modification ./Sources/PersonalMessage.php Test successful
  1. Replace ./Sources/PersonalMessage.php Test successful
  2. Replace ./Sources/PersonalMessage.php Test successful
  3. Replace ./Sources/PersonalMessage.php Test successful

14. Execute Modification ./Sources/Post.php Test successful
  1. Replace ./Sources/Post.php Test successful
  2. Replace ./Sources/Post.php Test successful
  3. Replace ./Sources/Post.php Test successful
  4. Replace ./Sources/Post.php Test successful
  5. Replace ./Sources/Post.php Test successful
  6. Replace ./Sources/Post.php Test successful
  7. Replace ./Sources/Post.php Test successful
  8. Replace ./Sources/Post.php Test successful
  9. Replace ./Sources/Post.php Test successful
  10. Replace ./Sources/Post.php Test successful
  11. Replace ./Sources/Post.php Test successful

15. Execute Modification ./Sources/Recent.php Test successful
  1. Replace ./Sources/Recent.php Test successful

16. Execute Modification ./Sources/Search.php Test successful
  1. Replace ./Sources/Search.php Test successful
  2. Replace ./Sources/Search.php Test successful

17. Execute Modification ./Sources/Subs.php Test successful
  1. Replace ./Sources/Subs.php Test successful
  2. Replace ./Sources/Subs.php Test successful
  3. Replace ./Sources/Subs.php Test successful
  4. Replace ./Sources/Subs.php Test successful
  5. Replace ./Sources/Subs.php Test successful
  6. Replace ./Sources/Subs.php Test successful
  7. Replace ./Sources/Subs.php Test successful
  8. Replace ./Sources/Subs.php Test successful
  9. Replace ./Sources/Subs.php Test successful

18. Execute Code db/uninstall.php



--Kindred-- edit to put code tags...

Storman™

What version of Tapatalk is it ?

It will say in the package-info.xml file

GlennLever

Quote from: Storman™ on February 07, 2013, 11:16:42 AM
What version of Tapatalk is it ?

It will say in the package-info.xml file

Tapatalk SMF 2.0 RC5/Final Plugin 3.2.3

zip file was called Tapatalk_SMF2_3.2.3

download from SMF Mod Site file Tapatalk_SMF2_3.2.3.zip  (165kB) [463]   

I did not notice this before Compatible With: 1.1.11, 1.1.12, 1.1.15, 1.1.16, 2.0 RC3, 2.0 RC4, 2.0.1, 2.0.2, 2.0.3


and I have SMF 2.0.4

Storman™

I just noticed that you did actually post the version earlier. I assume you got that from the SMF website but unfortunately it's an older version which has since been superseded by 3.4.0

However, none of those other mods interfer with Display.php and it hasn't changed in SMF for yonks, nor does the 2.0.4 patch touch it.. So you shouldn't (in theory) be having an issue.

What you could do is go ahead and uninstall Tapatalk and ignore the error. That will probably leave a line of code behind in Display.php. If you then post the file here, I'll remove that extra code for you. Take a backup of what you currently have just in case  ;)

It's not an ideal way of doing it but trying to talk you through editing a file might be a bit hard.

GlennLever

Quote from: Storman™ on February 07, 2013, 11:54:29 AM
I just noticed that you did actually post the version earlier. I assume you got that from the SMF website but unfortunately it's an older version which has since been superseded by 3.4.0

However, none of those other mods interfer with Display.php and it hasn't changed in SMF for yonks, nor does the 2.0.4 patch touch it.. So you shouldn't (in theory) be having an issue.

What you could do is go ahead and uninstall Tapatalk and ignore the error. That will probably leave a line of code behind in Display.php. If you then post the file here, I'll remove that extra code for you. Take a backup of what you currently have just in case  ;)

It's not an ideal way of doing it but trying to talk you through editing a file might be a bit hard.

Ok, currently I am not the one with the CPanel, I have to have him do the backup once that is done I will unistall.

How do I get the copy of the Display.php to post here.

I know I ask newbie questions, but I only ask once I am truely learning.

Storman™

QuoteHow do I get the copy of the Display.php to post here.

Either use FTP and download it or maybe take a copy with the file manager in cPanel. In cPanel highlight the file and then click on "Download" at the top of the page.

(Note: I need to go out for about 40 minutes but will be back shortly)

Shambles

My guess is that the Tapatalk mod zip (package) was altered manually, as Display.php has never featured as part of a Tapatalk forum app installation (I have all the old versions to check that fact). Maybe someone created a diagnostic version for your forum?

So yes, dumping the Display.php file here would be good.

Also, it would be useful to click the little notepad/pencil icon that appears next to the failing line:

8. Execute Modification ./Sources/Display.php Test failed
  1. Replace ./Sources/Display.php Test successful
  2. Replace ./Sources/Display.php Test successful
  3. Replace ./Sources/Display.php Test failed        <---------
  4. Replace ./Sources/Display.php Test successful
  5. Replace ./Sources/Display.php Test successful
  6. Replace ./Sources/Display.php Test successful
  7. Replace ./Sources/Display.php Test successful
  8. Replace ./Sources/Display.php Test successful


A small window should pop up showing what the package uninstaller was looking for in Display.php

GlennLever

Quote from: Shambles on February 07, 2013, 12:13:38 PM
My guess is that the Tapatalk mod zip (package) was altered manually, as Display.php has never featured as part of a Tapatalk forum app installation (I have all the old versions to check that fact). Maybe someone created a diagnostic version for your forum?

So yes, dumping the Display.php file here would be good.

Also, it would be useful to click the little notepad/pencil icon that appears next to the failing line:

8. Execute Modification ./Sources/Display.php Test failed
  1. Replace ./Sources/Display.php Test successful
  2. Replace ./Sources/Display.php Test successful
  3. Replace ./Sources/Display.php Test failed        <---------
  4. Replace ./Sources/Display.php Test successful
  5. Replace ./Sources/Display.php Test successful
  6. Replace ./Sources/Display.php Test successful
  7. Replace ./Sources/Display.php Test successful
  8. Replace ./Sources/Display.php Test successful


A small window should pop up showing what the package uninstaller was looking for in Display.php

3. Replace ./Sources/Display.php Test failed

Code: (Find) [Select]
   if(defined('IN_MOBIQUO'))
    {
        $context['messages_per_page'] = isset($GLOBALS['post_per_page']) ? intval($GLOBALS['post_per_page']) : 20;
    }   $context['messages_per_page'] = empty($modSettings['disableCustomPerPage']) && !empty($options['messages_per_page']) && !WIRELESS ? $options['messages_per_page'] : $modSettings['defaultMaxMessages'];
Code: (Replace) [Select]
   $context['messages_per_page'] = empty($modSettings['disableCustomPerPage']) && !empty($options['messages_per_page']) && !WIRELESS ? $options['messages_per_page'] : $modSettings['defaultMaxMessages'];

GlennLever

Quote from: Storman™ on February 07, 2013, 12:03:51 PM
QuoteHow do I get the copy of the Display.php to post here.

Either use FTP and download it or maybe take a copy with the file manager in cPanel. In cPanel highlight the file and then click on "Download" at the top of the page.

(Note: I need to go out for about 40 minutes but will be back shortly)

That works out I have to step away myself.

Shambles

Thanks for the update Glenn.

It's strange, that the text being searched for does in fact appear (after a fashion) in the copy of Display.php that exists within the /mobiquo directory, but the uninstallation process should merely delete the mobiquo directory not perform edits on files within it. That reinforces my opinion that the package has been modified in some way.

If you can get the Sources/Display.php file off your server and over to us we can move forwards with it :)

Storman™

Quote.........as Display.php has never featured as part of a Tapatalk forum app installation (I have all the old versions to check that fact)

Hi Shambles - if you look at the version in the mods section here you'll see that it was (certainly in v.3.2.3)  ....and thats the version Glenn has...  ;)

Advertisement: